Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.impl
Class XMLSchemaDatatypes

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.impl.XMLSchemaDatatypes

    public class XMLSchemaDatatypes

extends Object

A utility class to manage the mapping of XML datatypes and the OWL classes.

Author:
  Holger Knublauch

Field Summary
`static com.hp.hpl.jena.datatypes.xsd.XSDDatatype[]` | `floatTypes`
`static com.hp.hpl.jena.datatypes.xsd.XSDDatatype[]` | `integerTypes`
`static com.hp.hpl.jena.datatypes.xsd.XSDDatatype[]` | `stringTypes`
`static String` | `XML_LITERAL`

Constructor Summary
`XMLSchemaDatatypes()`

Method Summary
`static com.hp.hpl.jena.datatypes.xsd.XSDDatatype[]` | `getAllTypes()`
`static Date` | `getDate(String value)`
`static String` | `getDateString(Date date)`
`static String` | `getDateTimeString(Date date)`
`static String` | `getDefaultAlias(edu.stanford.smi.protege.model.ValueType valueType)`
`static String` | `getDefaultDateTimeValue()`
`static String` | `getDefaultDateValue()`
`static String` | `getDefaultTimeValue()`
`static com.hp.hpl.jena.datatypes.xsd.XSDDatatype` | `getDefaultXSDDatatype(edu.stanford.smi.protege.model.ValueType valueType)`
`static com.hp.hpl.jena.datatypes.RDFDatatype` | `getRDFDatatype(RDFSDatatype datatype)`
`static List<String>` | `getSlotSymbols()`
`static String` | `getTimeString(Date date)`
`static String` | `getTimeString(int hours, int minutes, int seconds)`
`static edu.stanford.smi.protege.model.ValueType` | `getValueType(String uri)`
`static String` | `getValueTypeURI(edu.stanford.smi.protege.model.ValueType valueType)`
`static com.hp.hpl.jena.datatypes.xsd.XSDDatatype` | `getXSDDatatype(RDFSDatatype datatype)`
`static com.hp.hpl.jena.datatypes.xsd.XSDDatatype` | `getXSDDatatype(String alias)`
`static String` | `getXSDDatatypeAlias(String uri)`
`static String` | `getXSDDatatypeAlias(com.hp.hpl.jena.datatypes.xsd.XSDDatatype datatype)`
`static boolean` | `isDateSlot(RDFProperty property)`
`static boolean` | `isDateTimeSlot(RDFProperty property)`
`static boolean` | `isNumericDatatype(String uri)`
`static boolean` | `isStringAlias(String alias)`
`static boolean` | `isTimeSlot(RDFProperty property)`
`static boolean` | `isValidAlias(String alias, edu.stanford.smi.protege.model.ValueType valueType)`
`static boolean` | `isXMLLiteralSlot(edu.stanford.smi.protege.model.Slot slot)`
`static boolean` | `isXMLSchemaSlot(RDFProperty property, com.hp.hpl.jena.datatypes.xsd.XSDDatatype datatype)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_LITERAL

    public static final String XML_LITERAL

See Also:
  Constant Field Values

### floatTypes

    public static final com.hp.hpl.jena.datatypes.xsd.XSDDatatype[] floatTypes

### integerTypes

    public static final com.hp.hpl.jena.datatypes.xsd.XSDDatatype[] integerTypes

### stringTypes

    public static final com.hp.hpl.jena.datatypes.xsd.XSDDatatype[] stringTypes

Constructor Detail

### XMLSchemaDatatypes

    public XMLSchemaDatatypes()

Method Detail

### getAllTypes

    public static com.hp.hpl.jena.datatypes.xsd.XSDDatatype[] getAllTypes()

### getDate

    public static Date getDate(String value)

### getDateString

    public static String getDateString(Date date)

### getDateTimeString

    public static String getDateTimeString(Date date)

### getDefaultAlias

    public static String getDefaultAlias(edu.stanford.smi.protege.model.ValueType valueType)

### getDefaultDateValue

    public static String getDefaultDateValue()

### getDefaultDateTimeValue

    public static String getDefaultDateTimeValue()

### getDefaultTimeValue

    public static String getDefaultTimeValue()

### getDefaultXSDDatatype

    public static com.hp.hpl.jena.datatypes.xsd.XSDDatatype getDefaultXSDDatatype(edu.stanford.smi.protege.model.ValueType valueType)

### getSlotSymbols

    public static List<String> getSlotSymbols()

### getTimeString

    public static String getTimeString(Date date)

### getTimeString

    public static String getTimeString(int hours,
                                       int minutes,
                                       int seconds)

### getValueType

    public static edu.stanford.smi.protege.model.ValueType getValueType(String uri)

### getValueTypeURI

    public static String getValueTypeURI(edu.stanford.smi.protege.model.ValueType valueType)

### getXSDDatatype

    public static com.hp.hpl.jena.datatypes.xsd.XSDDatatype getXSDDatatype(String alias)

### getRDFDatatype

    public static com.hp.hpl.jena.datatypes.RDFDatatype getRDFDatatype(RDFSDatatype datatype)

### getXSDDatatype

    public static com.hp.hpl.jena.datatypes.xsd.XSDDatatype getXSDDatatype(RDFSDatatype datatype)

### getXSDDatatypeAlias

    public static String getXSDDatatypeAlias(com.hp.hpl.jena.datatypes.xsd.XSDDatatype datatype)

### getXSDDatatypeAlias

    public static String getXSDDatatypeAlias(String uri)

### isDateSlot

    public static boolean isDateSlot(RDFProperty property)

### isDateTimeSlot

    public static boolean isDateTimeSlot(RDFProperty property)

### isTimeSlot

    public static boolean isTimeSlot(RDFProperty property)

### isXMLLiteralSlot

    public static boolean isXMLLiteralSlot(edu.stanford.smi.protege.model.Slot slot)

### isValidAlias

    public static boolean isValidAlias(String alias,
                                       edu.stanford.smi.protege.model.ValueType valueType)

### isStringAlias

    public static boolean isStringAlias(String alias)

### isXMLSchemaSlot

    public static boolean isXMLSchemaSlot(RDFProperty property,
                                          com.hp.hpl.jena.datatypes.xsd.XSDDatatype datatype)

### isNumericDatatype

    public static boolean isNumericDatatype(String uri)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.